// RemoteComboBox.h : header file
//

#pragma once

/////////////////////////////////////////////////////////////////////////////
// CShellTreeCtrl window

class CRemoteComboBox : public CComboBoxEx
{
// Construction
public:
	CRemoteComboBox();

// Attributes
protected:

public:

// Operations
protected:
	int m_iSPos, m_iEPos;

public:
	void Init();
	void Add(HTREEITEM hti);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRemoteComboBox)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CRemoteComboBox();

protected:

	// Generated message map functions
protected:
	//{{AFX_MSG(CRemoteComboBox)
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
public:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSelchange();
//	afx_msg void OnCbenEndedit(NMHDR *pNMHDR, LRESULT *pResult);
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	BOOL SetDirectPath(void);
};
